Doctrine Collections 1.3.0 Release

We are happy to announce the immediate availability of Doctrine Collections 1.3.0.

Installation

You can install this version of Doctrine Common by using Composer and the following composer.json contents:

{
    "require": {
        "doctrine/collections": "1.3.0"
    }
}

Changes since 1.3.0

This is a list of issues solved in 1.3.0 since 1.2.0:

  • [26]: Explicit casting of first and max results in the criteria API
  • [30]: typo fixes
  • [31]: CS fixes and tidy up of the tests
  • [36]: Tidy up and CS fixes
  • [42]: small style changes to comply with PSR2
  • [47]: Added build status badge
  • [49]: Keep keys when using ArrayCollection#matching()
  • [52]: Made AbstractLazyCollection#$initialized protected for extensibility.
  • [56]: travis: PHP 7.0 nightly added + few improvements

Please report any issues you may have with the update on the mailing list or on Jira.

comments powered by Disqus
Fork me on GitHub